package edu.kit.ipd.descartes.mm.adaptation.provider;

import org.eclipse.emf.common.notify.Adapter;

public class AdaptationItemProviderAdapterFactoryExtension extends AdaptationItemProviderAdapterFactory {
    
    @Override
    public Adapter createAdaptationActionOperationAdapter() {
        if (adaptationActionOperationItemProvider == null) {
            adaptationActionOperationItemProvider = new AdaptationActionOperationItemProviderExtension(this);
        }

        return adaptationActionOperationItemProvider;
    }

    @Override
    public Adapter createActionReferenceAdapter() {
        if (actionReferenceItemProvider == null) {
            actionReferenceItemProvider = new ActionReferenceItemProviderExtension(this);
        }
            
        return actionReferenceItemProvider;
    }
}
